#
# Erzeuge .bat Dateien sowie Listen fr Training
#
#

$workDir ="arbeit";
$vocDir  = $workDir . "\\htkfiles\\dicts";
$vocFile = $vocDir .  "\\vokabular"; 
$confFile= $workDir . "\\htkfiles\\confs\\hinit.cf";

$listDir = "arbeit\\lists";
$listFile    = "cont_train_mfcc.scp";
$gramDir     = $workDir . "\\htkfiles\\networks";
$netFile     = $gramDir . "\\cont.net";
$resDir      = $workDir . "\\results";
$resMlf      = $resDir  . "\\out_c.mlf";
$hmmMacro    = "digicom";

$hmmDir1 = $workDir . "\\htkfiles\\hmms\\hmm.e1";


$herestOpts=" -T 0 ";


$cmd= "HERest $herestOpts -C $confFile -S $listDir\\$listFile  -s statistik.dat -H $hmmDir1\\$hmmMacro   -I merkmale\\userdata.mlf arbeit\\htkfiles\\dicts\\hmmlist";
print "$cmd\n";

for($iter=0; $iter<10; ++$iter) {
  print "Iteration $iter\n";
  system( $cmd );
}

$cmd ="HVite -T 1 -S  $listDir\\$listFile -w $netFile -H $hmmDir1\\$hmmMacro -i $resMlf -C $confFile -m  arbeit\\htkfiles\\dicts\\hmmlist  arbeit\\htkfiles\\dicts\\vokabular";

system( $cmd );

$cmd="HResults  -k \"*userdata/%%%*\" -I merkmale\\userdata.mlf $vocFile $resMlf ";
print "$cmd\n";
system( $cmd );
