#
# Erkennung
#
#
if( $#ARGV == 0 ) {
    $index = $ARGV[0];
    print "Working with specified index $index\n";

}else{
    $index = "1";
    print "Working with default index $index\n";
}



$workDir     = "arbeit";
$confFile    = $workDir . "\\htkfiles\\confs\\hinit.cf";
$listDir     = $workDir . "\\lists";
$vocDir      = $workDir . "\\htkfiles\\dicts";
$vocFile     = $vocDir  . "\\vokabular"; 
$hmmlistFile = $vocDir  . "\\hmmlist";
$gramDir     = $workDir . "\\htkfiles\\networks";
$netFile     = $gramDir . "\\netzwerk";
$resDir      = $workDir . "\\results";
$resMlf      = $resDir  . "\\out$index.mlf";
$hmmDir = $workDir . "\\htkfiles\\hmms\\hmm.$index";

system( "mkdir $resDir" );

$hviteOpts=" -T 0 ";

$cmd = "HVite $hviteOpts -S $listDir\\train_mfcc.scp -w $netFile -d $hmmDir -i $resMlf -C $confFile $hmmlistFile $vocFile";
print "$cmd\n";
system( $cmd );

$cmd="HResults  -k \"*userdata/%%%*\" -I merkmale\\userdata.mlf $vocFile $resMlf ";
print "$cmd\n";
system( $cmd );

$cmd="HResults  -k \"*userdata/%%%*\" -t -p  -I merkmale\\userdata.mlf $vocFile $resMlf ";
print "NEXT : \n";
print "$cmd\n";
print "***********************************************\n";
#system( $cmd );
system( $cmd . "> $resDir\\result_train_$index" );

