#
# Erkennung
#
#
use hmmconsts;

if( $#ARGV == 0 ) {
    $index = $ARGV[0];
    print "Working with specified index $index\n";

}else{
    $index = "1";
    print "Working with default index $index\n";
}


$confFile    = $workDir . "\\htkfiles\\confs\\hvite_audio.cf";
$listDir     = $workDir . "\\lists";
#$listFile    = "autosave_cont.scp";
$listFile    = "autosave.scp";
$vocDir      = $workDir . "\\htkfiles\\dicts";
$vocFile     = $vocDir  . "\\vokabular";
$hmmlistFile = $vocDir  . "\\hmmlist";
$gramDir     = $workDir . "\\htkfiles\\networks";
$netFile     = $gramDir . "\\netzwerk";
#$netFile     = $gramDir . "\\cont.net";
$resDir      = $workDir . "\\results";
$resMlf      = $resDir  . "\\rec$index.mlf";

$hmmDir = $workDir . "\\htkfiles\\hmms\\hmm.$index";
$hmmDir = $workDir . "\\htkfiles\\hmms\\hmm.$index";

system( "mkdir $resDir" );

print "Creating $confFile\n";
open(OUT, '>' . $confFile)  || die "could not open $confFile";
print OUT " SOURCEKIND     = WAVEFORM \n";
print OUT " SOURCEFORMAT   = WAVE \n";
print OUT " SOURCERATE     = 625.0\n";
print OUT " ZMEANSOURCE    = FALSE \n";
print OUT " ENORMALISE     = FALSE \n";
print OUT " TARGETFORMAT   = HTK \n";
print OUT " TARGETKIND     = MFCC_E_D\n";
print OUT " TARGETRATE     = 100000 \n";
print OUT " NUMCHANS       = 21 \n";
print OUT " NUMCEPS        = 12 \n";
print OUT " SAVEWITHCRC    = FALSE \n";
print OUT " WINDOWSIZE     = 200000.0 \n";
print OUT " USEHAMMING     = TRUE \n";
print OUT " PREEMCOEF      = 0.97 \n";
print OUT " LOFREQ         = 330.0 \n";
print OUT " HIFREQ         = 5500.0 \n";
print OUT " CEPLIFTER      = 22 \n";
print OUT " DELTAWINDOW    = 2 \n";
print OUT " USEPOWER       = TRUE \n";
close OUT;

$hviteOpts=" -T 1 ";

$hmmDir1 = $workDir . "\\htkfiles\\hmms\\hmm.e1";
$hmmMacro    = "digicom";

$cmd ="HVite $hviteOpts  -S  $listDir\\$listFile -w $netFile -H $hmmDir1\\$hmmMacro -i $resMlf -C $confFile -m  arbeit\\htkfiles\\dicts\\hmmlist  arbeit\\htkfiles\\dicts\\vokabular";


#$cmd = "HVite $hviteOpts -S $listDir\\$listFile -w $netFile -d $hmmDir -i $resMlf -C $confFile $hmmlistFile $vocFile";
#print "$cmd\n";

print "$cmd\n";
system( $cmd );

$cmd="HResults  -k \"*autosave/%%%*\" -X \"wav\" -I sprachdaten\\autosave.mlf $vocFile $resMlf ";
print "$cmd\n";
system( $cmd );

$cmd="HResults -p -t  -k \"*autosave/%%%*\" -X \"wav\" -I sprachdaten\\autosave.mlf $vocFile $resMlf  ";
$cmd = $cmd . "> $resDir\\$embResultFileName";
print "$cmd\n";
system( $cmd );

