#!
$workDir     = "arbeit";
$vocDir      = $workDir . "\\htkfiles\\dicts";
$vocFile     = $vocDir  . "\\vokabular"; 
$hmmlistFile = $vocDir  . "\\hmmlist";
$gramDir     = $workDir . "\\htkfiles\\networks";
$gramFile    = $gramDir . "\\gram";
$contGramFile = $gramDir . "\\cont.gram";
$netFile    = $gramDir . "\\netzwerk";
$contNetFile = $gramDir . "\\cont.net";

system( "mkdir $gramDir" );

print "Working on $vocFile\n";
open(IN,   '<' . $vocFile)       || die "could not open $vocFile";  
open(OUTL, '>' . $hmmlistFile)   || die "could not open $hmmlistFile";  
open(OUT,  '>' . $gramFile)      || die "could not open $gramFile";  
open(OUTC, '>' . $contGramFile)  || die "could not open $contGramFile";  

print OUT "(\n";
print OUTC "(\n";
print OUTC "<\n";

$first = 1;

FILE:
while( <IN> ) {
  chomp;
  print OUTL "$_ $_\n";
  if( $first == 1 ) {
    $first = 0;
  } else {
    print OUT " |\n";
    print OUTC " |\n";
  }
  print OUT "$_";
  print OUTC "$_";
}
print OUT "\n)\n";
print OUTC "\n>\n)\n";

close IN;
close OUT;
close OUTC;

system( "HParse $gramFile $netFile" );
system( "HParse $contGramFile $contNetFile" );
