#!


#use skripte::hmmconsts;
use hmmconsts;

$hmmDir = $workDir . "\\htkfiles\\hmms";
$hmmDirP = $hmmDir . "\\proto";
$confFile =  $workDir . "\\htkfiles\\confs\\proto_word.pcf";

system( "mkdir $hmmDir" );
system( "mkdir $hmmDirP" );

open(OUT, '>' . $confFile)  || die "could not open $confFile";  

print OUT "<BEGINproto_config_file> \n";
print " \n";
print OUT "<COMMENT> \n";
print OUT "   This PCF produces a single mixture, three stream prototype system \n";
print OUT " \n";
print OUT "<BEGINsys_setup>\n";
print OUT "\n";
print OUT "hsKind: P\n";
print OUT "covKind: D\n";
print OUT "nStates: $nstate\n";
print OUT "nStreams: 3\n";
print OUT "sWidths: 12 12 2\n";
print OUT "mixes: $nmixture $nmixture $nmixture\n";
print OUT "parmKind: MFCC_E_D\n";
print OUT "vecSize: 26\n";
print OUT "outDir: $hmmDirP\n";
print OUT "hmmList: arbeit/htkfiles/dicts/vokabular\n";
print OUT "\n";
print OUT "<ENDsys_setup>\n";
print OUT "\n";
print OUT "<ENDproto_config_file> \n";

close OUT;

opendir(OUTDIR,$hmmDirP) || die "Can't open $hmmDirP";
print "Test reading $hmmDirP \n";
print join( " ", readdir( OUTDIR ) );
print "\n";
closedir OUTDIR;

system( "skripte\\MakeProtoHMMSet.pl " . $confFile );
