#!
$confDir  = "arbeit\\htkfiles\\confs";
$confFile = $confDir . "\\hcopy.cf";
$listDir ="arbeit\\lists";

system( "mkdir $confDir" );

print "Creating $confFile\n";
open(OUT, '>' . $confFile)  || die "could not open $confFile";  

print OUT " SOURCEKIND     = WAVEFORM \n";
print OUT " SOURCEFORMAT   = WAVE \n";
print OUT " ZMEANSOURCE    = FALSE \n";
print OUT " ENORMALISE     = FALSE \n";
print OUT " TARGETFORMAT   = HTK \n";
print OUT " TARGETKIND     = MFCC_E \n";
print OUT " TARGETRATE     = 100000 \n";
print OUT " NUMCHANS       = 21 \n";
print OUT " NUMCEPS        = 12 \n";
print OUT " SAVEWITHCRC    = FALSE \n";
print OUT " WINDOWSIZE     = 200000.0 \n";
print OUT " USEHAMMING     = TRUE \n";
print OUT " PREEMCOEF      = 0.97 \n";
print OUT " LOFREQ         = 330.0 \n";
print OUT " HIFREQ         = 5500.0 \n";
print OUT " CEPLIFTER      = 22 \n";
print OUT " DELTAWINDOW    = 2 \n";
print OUT " USEPOWER       = TRUE \n";

close OUT;

#system( "HParse arbeit\\htkfiles\\networks\\gram arbeit\\htkfiles\\networks\\netzwerk" );

$cmd = "HCopy -C $confFile -S $listDir\\hcopy.scp -T 1";
print "$cmd\n";
system( $cmd );

