#
# 

$workDir ="arbeit";
$vocDir  = $workDir . "\\htkfiles\\dicts";
$vocFile = $vocDir .  "\\vokabular"; 
$confFile= $workDir . "\\htkfiles\\confs\\hinit.cf";

$listDir     = "arbeit\\lists";
$listFile    = "cont_train_mfcc.scp";
$gramDir     = $workDir . "\\htkfiles\\networks";
$netFile     = $gramDir . "\\cont.net";
$resDir      = $workDir . "\\results";
$resMlf      = $resDir  . "\\out_p0.mlf";

$hmmDir0  = $workDir . "\\htkfiles\\hmms\\hmm.0";
$hmmDir1  = $workDir . "\\htkfiles\\hmms\\hmm.p";
$hmmMacro = "newMacros";

#$hmmDir1  = $workDir . "\\htkfiles\\hmms\\hmm.p1";
#$hmmMacro = "phoneme";

-e $hmmDir1 || mkdir $hmmDir1;

$herestOpts=" -T 1 -v 0.01 ";


$cmd= "HERest $herestOpts -C $confFile -S $listDir\\$listFile  -s statistik_p0.dat -d $hmmDir0 -M  $hmmDir1  -I merkmale\\userdata_mfcc_pho.mlf arbeit\\htkfiles\\dicts\\phoneme";
print "$cmd\n";

system( $cmd );

$cmd ="HVite -n 5 5 -T 1 -S  $listDir\\$listFile -w $netFile -H $hmmDir1\\$hmmMacro  -i $resMlf -C $confFile   arbeit\\htkfiles\\dicts\\vokabular_pho  arbeit\\htkfiles\\dicts\\phoneme";

print "$cmd\n";
system( $cmd );

$cmd="HResults  -k \"*userdata/%%%*\" -I merkmale\\userdata.mlf $vocFile $resMlf ";
print "$cmd\n";
system( $cmd );
