#
# Erzeuge .bat Dateien sowie Listen fr Training
#
#

$workDir ="arbeit";
$vocDir  = $workDir . "\\htkfiles\\dicts";
$vocFile = $vocDir .  "\\vokabular"; 
$confFile= $workDir . "\\htkfiles\\confs\\hinit.cf";

$listDir     = "arbeit\\lists";
$listFile    = "cont_train_mfcc.scp";
$gramDir     = $workDir . "\\htkfiles\\networks";
$netFile     = $gramDir . "\\cont.net";
$resDir      = $workDir . "\\results";
$resMlf      = $resDir  . "\\out_p.mlf";
$hmmMacro    = "phoneme";

$hmmDir1 = $workDir . "\\htkfiles\\hmms\\hmm.p1";


$herestOpts=" -T 0 -v 0.01 ";


$cmdup= "HERest $herestOpts -C $confFile -S $listDir\\$listFile  -s statistik.dat -H $hmmDir1\\$hmmMacro   -I merkmale\\userdata_mfcc_pho.mlf arbeit\\htkfiles\\dicts\\phoneme";
print "$cmd\n";

for($iter=50; $iter<70; ++$iter) {
  print "Iteration $iter\n";
  system( $cmdup );

  $cmdr ="HVite -T 1 -S  $listDir\\$listFile -w $netFile -H $hmmDir1\\$hmmMacro  -i $resMlf -C $confFile   arbeit\\htkfiles\\dicts\\vokabular_pho  arbeit\\htkfiles\\dicts\\phoneme";

  print "$cmdr\n";
  system( $cmdr );

  $cmdr="HResults  -k \"*userdata/%%%*\" -I merkmale\\userdata.mlf $vocFile $resMlf ";
  print "$cmdr\n";
  system( $cmdr );
  if( $iter < 10 ) {
    $resFile = "$resDir\\result_phonem_0$iter";
  } else {
    $resFile = "$resDir\\result_phonem_$iter";
  }
  system( $cmdr . "> $resFile" );
}
