#
# Erkennung
#
#
use hmmconsts;


$confFile    = $workDir . "\\htkfiles\\confs\\hvite_audio.cf";
$listDir     = $workDir . "\\lists";
#$listFile    = "autosave_cont.scp";
$listFile    = "autosave.scp";
$vocDir      = $workDir . "\\htkfiles\\dicts";
$vocFile     = $vocDir  . "\\vokabular_pho";
$hmmlistFile = $vocDir  . "\\phoneme";
$gramDir     = $workDir . "\\htkfiles\\networks";
$netFile     = $gramDir . "\\netzwerk";
#$netFile     = $gramDir . "\\cont.net";
$resDir      = $workDir . "\\results";
$resMlf      = $resDir  . "\\rec_pe.mlf";


print "Creating $confFile\n";
open(OUT, '>' . $confFile)  || die "could not open $confFile";
print OUT " SOURCEKIND     = WAVEFORM \n";
print OUT " SOURCEFORMAT   = WAVE \n";
print OUT " SOURCERATE     = 625.0\n";
print OUT " ZMEANSOURCE    = FALSE \n";
print OUT " ENORMALISE     = FALSE \n";
print OUT " TARGETFORMAT   = HTK \n";
print OUT " TARGETKIND     = MFCC_E_D\n";
print OUT " TARGETRATE     = 100000 \n";
print OUT " NUMCHANS       = 21 \n";
print OUT " NUMCEPS        = 12 \n";
print OUT " SAVEWITHCRC    = FALSE \n";
print OUT " WINDOWSIZE     = 200000.0 \n";
print OUT " USEHAMMING     = TRUE \n";
print OUT " PREEMCOEF      = 0.97 \n";
print OUT " LOFREQ         = 330.0 \n";
print OUT " HIFREQ         = 5500.0 \n";
print OUT " CEPLIFTER      = 22 \n";
print OUT " DELTAWINDOW    = 2 \n";
print OUT " USEPOWER       = TRUE \n";
close OUT;

$hviteOpts=" -T 1 ";

$hmmDir1 = $workDir . "\\htkfiles\\hmms\\hmm.p1";
$hmmMacro    = "phoneme";

$cmd ="HVite $hviteOpts  -S  $listDir\\$listFile -w $netFile -H $hmmDir1\\$hmmMacro -i $resMlf -C $confFile  $vocFile $hmmlistFile ";

print "$cmd\n";
system( $cmd );

$cmd="HResults    -k \"*autosave/%%%*\" -X \"wav\" -I sprachdaten\\autosave.mlf $vocFile $resMlf ";
print "$cmd\n";
system( $cmd );

$cmd="HResults -p -t  -k \"*autosave/%%%*\" -X \"wav\" -I sprachdaten\\autosave.mlf $vocFile $resMlf  ";
$cmd = $cmd . "> $resDir\\$embResultFileName";
print "$cmd\n";
system( $cmd );

